Subject: bug#1334: 23.0.60; bug of bytecomp arithmetic operations

From: "Shigeru Fukaya" <[email-masked]>
Date: Fri, 21 Nov 2008 18:11:04 +0900

Hi, Chong,

> Shouldn't this be (nth 2 form) on the last line?
Of course, you are right.

I found  I had tested with my older version.
In `byte-regression-test', I should have remove the following line.
 
    (load "byte-opt-minimal")

After above correction, log output contains three errors.

(let ((a 3) (b 2) (c 1.0)) (- 0 a)) --> -3, NG
 --> 0
(let ((a 3) (b 2) (c 1.0)) (- 0 c)) --> -1.0, NG
 --> 0
(let ((a 3) (b 2) (c 1.0)) (- 0 a)) --> -3, NG
 --> 0

Thank you,

- Shigeru

----- Original Message ----- 
From: "Chong Yidong" <[email-masked]>
To: "Shigeru Fukaya" <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, November 21, 2008 4:40 PM
Subject: Re: 23.0.60; bug of bytecomp arithmetic operations

> Thanks.  I'm looking through your changes.
> 
> !      ;; (- 0 x) --> (- x)
> !      ((and (eq (nth 1 form) 0) (= (length form) 3))
> !       (setq form (list '- (nth 1 form))))
> 
> Shouldn't this be (nth 2 form) on the last line?